| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__CreateBgSpeedDialListRequest Struct Reference
Business Group Speed Dial List

Create BG Speed Dial List request. More...

`#include <osv-if-doc.h>`

## Public Attributes
char * | OperatorId
| Operator Id. More...
char * | BGName
| Business Group Name. More...
char * | ListName
| A name to associate with the BG Speed Dial List. More...
xsd__boolean * | AllOrNone
| Indicates whether atomic processing is required or partial success is allowed. More...
struct unsp__BgSpeedDialList * | BgSpeedDialListCreate
| BG Speed Dial List Data. More...

## Detailed Description

Create BG Speed Dial List request.

Used by unsp__CreateBgSpeedDialList()

## Member Data Documentation

## ◆ AllOrNone

xsd__boolean* unsp__CreateBgSpeedDialListRequest::AllOrNone

Indicates whether atomic processing is required or partial success is allowed.

If True, when the processing of one entry fails, the data is rolled back to its state prior to the request. If False, when the processing of one entry fails, a best effort attempt will be made, and the subsequent entries will be processed. Note: If AllOrNone is False, and errors occur, a list of errors is returned identifying which entries could not be processed successfully.
required: false
default value[range]: false

## ◆ BGName

char* unsp__CreateBgSpeedDialListRequest::BGName

Business Group Name.

required: true

See also
  unsp__BGName

## ◆ BgSpeedDialListCreate

struct unsp__BgSpeedDialList* unsp__CreateBgSpeedDialListRequest::BgSpeedDialListCreate

BG Speed Dial List Data.

required: true

## ◆ ListName

char* unsp__CreateBgSpeedDialListRequest::ListName

A name to associate with the BG Speed Dial List.

This attribute is optional, and is not used as a key to identify the list; it is for informational purposes only. However, it must be unique within the BG.
required: false
default value[range]: NA [1..30]

## ◆ OperatorId

char* unsp__CreateBgSpeedDialListRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h